function display_approx(signal, p)
% display_approx(signal, p)
% displays one signal time-series superimposed on it approximation p that
% was constructed from the linear combination of three predictors
    
figure('units','normalized','position',[0 0 1 0.5]);
plot(signal,'-k','linewidth',3);
hold on
plot(p,'-','color',[1 0 1],'linewidth',3);
legend({'Original signal','Your approximation'},'fontsize',18,'location','southoutside','box','off');
xlabel('Time','fontsize',18);
ylabel('Signal Intensity','fontsize',18);
title('The signal and its approximation','fontsize',18,'fontweight','bold');
set(gca,'fontsize',18);
box off